Name:		kphotoalbum
Epoch:		1
Version:	6.0.1
Release:	%mkrel 1
Summary:	Photo album manager
License:	GPLv2+
Group:		Graphics/Utilities
Url:		https://www.kphotoalbum.org/
Source0:	https://download.kde.org/stable/%{name}/%{version}/%{name}-%{version}.tar.xz
# Mageia patches:

# Upstream patches:

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Sql)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Test)
BuildRequires:	cmake(Phonon4Qt6)

BuildRequires:	cmake(KF6Archive)
BuildRequires:	cmake(KF6Completion)
BuildRequires:	cmake(KF6Config)
BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6IconThemes)
BuildRequires:	cmake(KF6JobWidgets)
BuildRequires:	cmake(KF6KIO)
BuildRequires:	cmake(KF6TextWidgets)
BuildRequires:	cmake(KF6XmlGui)
BuildRequires:	cmake(KF6WidgetsAddons)

# Optional/Recommended packages
BuildRequires:	cmake(KF6Purpose)
BuildRequires:	cmake(KDcrawQt6)
BuildRequires:	cmake(Marble)
BuildRequires:	cmake(KF6DocTools)

BuildRequires:	pkgconfig(exiv2)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libvlc)

Requires:	mplayer
Recommends:	ufraw

%description
KPhotoAlbum supports all the normal image formats including
raw formats produced by most digital cameras and scanners
(using dcraw to do the decoding).
It is also possible to use the thumbnails embedded in raw
images (that are usually of decent size and quality) for
fast viewing so there is no need to decode the whole raw image.

%files -f %{name}.lang
%doc CHANGELOG.md README.md README.md.license
%license LICENSES/*
%{_kf6_bindir}/%{name}
%{_kf6_bindir}/kpa-backup.sh
%{_kf6_bindir}/kpa-thumbnailtool
%{_kf6_bindir}/open-raw.pl
%{_kf6_libdir}/libkpabase.so
%{_kf6_libdir}/libkpaexif.so
%{_kf6_libdir}/libkpathumbnails.so
%{_kf6_iconsdir}/hicolor/*/*/*.png
%{_kf6_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_kf6_datadir}/%{name}/
%{_kf6_sysconfdir}/xdg/%{name}rc
%{_kf6_applicationsdir}/org.kde.%{name}.desktop
%{_kf6_applicationsdir}/org.kde.%{name}-import.desktop
%{_kf6_applicationsdir}/org.kde.%{name}.open-raw.desktop
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-html


%changelog
* Tue Jan 07 2025 daviddavid <daviddavid> 1:6.0.1-1.mga10
+ Revision: 2135815
- new version: 6.0.1

* Sun Dec 08 2024 daviddavid <daviddavid> 1:6.0.0-1.mga10
+ Revision: 2122875
- new version: 6.0.0
- switch to Qt6/KF6

* Fri Oct 11 2024 daviddavid <daviddavid> 1:5.13.0-1.mga10
+ Revision: 2104663
- new version: 5.13.0

* Mon Nov 27 2023 daviddavid <daviddavid> 1:5.12.0-1.mga10
+ Revision: 2010129
- new version: 5.12.0

* Mon Oct 02 2023 daviddavid <daviddavid> 1:5.11.0-2.mga10
+ Revision: 1993157
- rebuild for new exiv2 0.28.0

* Thu Aug 31 2023 daviddavid <daviddavid> 1:5.11.0-1.mga10
+ Revision: 1982407
- new version: 5.11.0

* Wed Mar 29 2023 daviddavid <daviddavid> 1:5.10.0-1.mga9
+ Revision: 1950586
- new version: 5.10.0

* Thu Mar 23 2023 daviddavid <daviddavid> 1:5.9.1-3.mga9
+ Revision: 1950235
- enable libvlc and qtav support

* Thu Mar 23 2023 daviddavid <daviddavid> 1:5.9.1-2.mga9
+ Revision: 1950173
- drop no more needed by the project Qt5WebKit build dependency

* Sun Nov 13 2022 neoclust <neoclust> 1:5.9.1-1.mga9
+ Revision: 1907060
- New version 5.9.1

* Wed Feb 16 2022 danf <danf> 1:5.7.0-4.mga9
+ Revision: 1776575
+ rebuild (emptylog)

* Thu Dec 17 2020 umeabot <umeabot> 1:5.7.0-4.mga8
+ Revision: 1658772
- Rebuild for new Qt5

* Wed Dec 16 2020 daviddavid <daviddavid> 1:5.7.0-3.mga8
+ Revision: 1657987
- enable KF5Purpose support

* Sat Dec 12 2020 daviddavid <daviddavid> 1:5.7.0-2.mga8
+ Revision: 1655781
- remove no more needed KF5KGeoMap build dependency

* Mon Aug 10 2020 daviddavid <daviddavid> 1:5.7.0-1.mga8
+ Revision: 1613048
- new version: 5.7.0

* Thu May 28 2020 daviddavid <daviddavid> 1:5.6.1-3.mga8
+ Revision: 1588485
- switch appdata file to kf5_metainfo dir

* Fri Feb 21 2020 umeabot <umeabot> 1:5.6.1-2.mga8
+ Revision: 1547769
- Mageia 8 Mass Rebuild

* Wed Feb 12 2020 daviddavid <daviddavid> 1:5.6.1-1.mga8
+ Revision: 1506224
- new version: 5.6.1

* Sun Feb 09 2020 daviddavid <daviddavid> 1:5.6-1.mga8
+ Revision: 1488262
- new version: 5.6
+ wally <wally>
- build with new cmake macros

* Thu May 16 2019 daviddavid <daviddavid> 1:5.5-2.mga7
+ Revision: 1398017
- rebuild for new exiv2 0.27.1

* Sat Apr 27 2019 daviddavid <daviddavid> 1:5.5-1.mga7
+ Revision: 1395726
- new version: 5.5

* Sun Mar 31 2019 umeabot <umeabot> 1:5.4.2-2.mga7
+ Revision: 1382770
- Qt5 Rebuild

* Wed Feb 06 2019 daviddavid <daviddavid> 1:5.4.2-1.mga7
+ Revision: 1363606
- new version: 5.4.2

* Mon Dec 31 2018 daviddavid <daviddavid> 1:5.4-2.mga7
+ Revision: 1347543
- add upstream patch to fix build with exiv2 >= 0.27
+ luigiwalser <luigiwalser>
- rebuild for exiv2

* Sat Oct 20 2018 daviddavid <daviddavid> 1:5.4-1.mga7
+ Revision: 1322939
- new version: 5.4
- remove merged upstream patch

* Sun Sep 23 2018 umeabot <umeabot> 1:5.3-3.mga7
+ Revision: 1298634
- Mageia 7 Mass Rebuild

* Thu Jul 05 2018 daviddavid <daviddavid> 1:5.3-2.mga7
+ Revision: 1241731
- add upstream patch to fix build with new Qt5 >= 5.11.0

* Tue May 01 2018 daviddavid <daviddavid> 1:5.3-1.mga7
+ Revision: 1224071
- new version: 5.3

* Tue Jun 20 2017 neoclust <neoclust> 1:5.2-2.mga6
+ Revision: 1108007
- Rebuild against new exiv2

* Fri Mar 10 2017 daviddavid <daviddavid> 1:5.2-1.mga6
+ Revision: 1091468
- new version: 5.2
- remove merged upstream patch

* Sun Dec 18 2016 daviddavid <daviddavid> 1:5.1-1.mga6
+ Revision: 1075925
- new version: 5.1

* Thu Dec 15 2016 daviddavid <daviddavid> 1:5.0.1-2.mga6
+ Revision: 1075366
- rebuild for new libkipi

* Fri Oct 28 2016 daviddavid <daviddavid> 1:5.0.1-1.mga6
+ Revision: 1063861
- new version: 5.0.1
- port to Qt5/Kf5
- add a patch to fix kxmlgui5 install path

* Mon Feb 15 2016 umeabot <umeabot> 1:4.6.2-2.mga6
+ Revision: 960869
- Mageia 6 Mass Rebuild

* Fri Aug 28 2015 fwang <fwang> 1:4.6.2-1.mga6
+ Revision: 870611
- 4.6.2
- drop requires on kipi and kdcraw
- rebuild for new exiv2

* Wed Oct 15 2014 umeabot <umeabot> 1:4.5-3.mga5
+ Revision: 746364
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:4.5-2.mga5
+ Revision: 681183
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Wed Jul 23 2014 fwang <fwang> 1:4.5-1.mga5
+ Revision: 655817
- 4.5

* Mon Feb 24 2014 neoclust <neoclust> 1:4.4-4.mga5
+ Revision: 596164
- Rebuild against new kdcraw

* Mon Feb 10 2014 dams <dams> 1:4.4-3.mga5
+ Revision: 589064
- rebuild for new exiv2

* Sat Oct 19 2013 umeabot <umeabot> 1:4.4-2.mga4
+ Revision: 530095
- Mageia 4 Mass Rebuild

* Sun Feb 24 2013 matteo <matteo> 1:4.4-1.mga4
+ Revision: 400289
- new stable version
- fix bug mga#9162

* Sat Jan 12 2013 umeabot <umeabot> 4.9.90-0.git20121203.2.mga3
+ Revision: 356452
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Graphics/Other -> Graphics/Utilities

* Tue Dec 11 2012 matteo <matteo> 4.9.90-0.git20121203.1.mga3
+ Revision: 329466
- new version
+ fwang <fwang>
- update rpm group
- rebuild for new kipi

* Wed Sep 26 2012 fwang <fwang> 4.3-1.mga3
+ Revision: 297878
- update file list
- patch merged
- new version 4.3

* Sun Jul 01 2012 fwang <fwang> 4.2-2.mga3
+ Revision: 265753
- rebuild for new libkdcraw

* Mon Apr 30 2012 matteo <matteo> 4.2-1.mga3
+ Revision: 234297
- fixed source entry
- fixed missing br
- fixed compilation error
+ fwang <fwang>
- 4.2 final
- 4.2 rc2

* Sun Oct 09 2011 fwang <fwang> 4.1.1-4.git.20110909.2.mga2
+ Revision: 153441
- rebuild for new exiv2
+ matteo <matteo>
- changed release format to allow mdv pkg upgrade

* Sat Sep 10 2011 matteo <matteo> 4.1.1-0.git.20110909.1.mga2
+ Revision: 142248
- improved release format
- fixed version and release
- better use of kde macros, removed redundant BR, improved git versioning

* Fri Sep 09 2011 matteo <matteo> 0-1.mga2
+ Revision: 141909
- cleaned spec
- imported package kphotoalbum

